Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.facet
Class NumericFacet

    java.lang.Object
      com.bea.schema.SOMObject
          com.bea.schema.facet.SOMFacet
              com.bea.schema.facet.NumericFacet

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FacetDuration, FacetFractionDigits, FacetLength, FacetMaxExclusive, FacetMaxInclusive, FacetMaxLength, FacetMinExclusive, FacetMinInclusive, FacetMinLength, FacetPrecision, FacetScale, FacetTotalDigits

public abstract class NumericFacet
extends SOMFacet

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.schema.facet.SOMFacet
`duration, encoding, enumeration, fractionDigits, length, maxExclusive, maxInclusive, maxLength, minExclusive, minInclusive, minLength, pattern, period, precision, scale, totalDigits, whiteSpace`

Constructor Summary
`NumericFacet()`

Method Summary
`double` | `getDouble()`
`long` | `getLong()`
`String` | `getValue()`
`void` | `setDouble(double value)`
`void` | `setValue(String val)`

Methods inherited from class com.bea.schema.facet.SOMFacet
`getAttributes, getFacet, getFixed, getTagName, setFixed, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getID, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getPrefixMapping, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, msg, msg, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, setTargetNamespace, toString, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NumericFacet

    public NumericFacet()

Method Detail

### getValue

    public String getValue()

  Specified by:
    `getValue` in class `SOMFacet`

### setValue

    public void setValue(String val)
                  throws NumberFormatException

  Specified by:
    `setValue` in class `SOMFacet`
  Throws:
    `NumberFormatException`

### getDouble

    public double getDouble()

### setDouble

    public void setDouble(double value)

### getLong

    public long getLong()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD